Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "9d71cfa5-8745-486f-9e9f-ae24d51ec111",
"user_id": "a54a598e-c3a6-4b40-8683-f97862292fc2",
"user_planning_slot_type_id": "098c2afd-e741-4134-bd2c-f9501d5f13da",
"date_from": "2026-11-20T00:15:01.2775253+00:00",
"date_to": "2026-11-20T00:15:01.2775253+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-20T00:15:01.2775253+00:00"
}